Name:           python-cleverminer
Version:        1.2.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Beyond apriori. CleverMiner is the package for enhanced association rule mining (eARM). Comparing to standard association rules, it is very enhanced, because the package implements the GUHA procedures that generalizes apriori and association rules in many ways. Rules are based on categorical data that can be easily visualized and interpreted. Their if-then with probability allows easy deployment by human realized processes. Truly interpretable & explainable knowledge mining.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://cleverminer.org
Source:         %{pypi_source cleverminer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cleverminer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cleverminer
Summary:        %{summary}

%description -n python3-cleverminer %_description


%prep
%autosetup -p1 -n cleverminer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cleverminer -f %{pyproject_files}


%changelog
%autochangelog